summaryrefslogtreecommitdiff
path: root/tests/shred/remove
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>1999-12-22 14:30:23 +0000
committerJim Meyering <jim@meyering.net>1999-12-22 14:30:23 +0000
commit94aebe4774d0abf597e7fbb691b42bf4d4691e52 (patch)
tree98b1f43380b73ae395f60c9f264ff8016dedeabc /tests/shred/remove
parent759da836f62740858f57ab7b163546faacb3f6c6 (diff)
downloadcoreutils-94aebe4774d0abf597e7fbb691b42bf4d4691e52.tar.xz
Use $file, not $tmp/file. Exit 77 if run as root.
Diffstat (limited to 'tests/shred/remove')
-rwxr-xr-xtests/shred/remove9
1 files changed, 7 insertions, 2 deletions
diff --git a/tests/shred/remove b/tests/shred/remove
index c62e8883e..2bcd6a619 100755
--- a/tests/shred/remove
+++ b/tests/shred/remove
@@ -15,7 +15,7 @@ file=$tmp/0123456789
framework_failure=0
mkdir $tmp || framework_failure=1
-touch $tmp/file || framework_failure=1
+touch $file || framework_failure=1
chmod u-w $tmp || framework_failure=1
if test $framework_failure = 1; then
@@ -23,12 +23,17 @@ if test $framework_failure = 1; then
exit 1
fi
+touch $tmp/file >/dev/null 2>&1 && {
+ echo 'This test case can not be run as root'
+ exit 77
+}
+
fail=0
# This would take so long that it appears to infloop
# when using version from fileutils-4.0k.
# When the command completes, expect it to fail.
-shred -u $tmp/file > /dev/null 2>&1 && fail=1
+shred -u $file > /dev/null 2>&1 && fail=1
chmod u+w $tmp
rm -rf $tmp